#pragma once
#include <string>

using FString = std::string;
using int32 = int;

struct BullCowCounts
{
	int32 BullCounts = 0;
	int32 CowCounts = 0;
};

class FBullCowGame{
public:
	//constructor
	FBullCowGame();

	void reset();
	int GetMaxTries() const;
	int GetCurrentTry() const;
	bool IsGameWon() const;
	bool IsGuessValid(FString);
	BullCowCounts SubmitsGuess(FString);

private:
	// see initialisation in constructor
	int32 MyMaxTries;
	int32 MyCurrentTry;
	FString MyHiddenWord;
};
